DWEB - All Hotels, misc - PSS #63

PSS Spa Pump Info
11/13/2025 08:54 AM - Jill Cape

Status: New Start date: 11/13/2025
Priority: Low Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Description

Pump Information
Model #P4E6G-153L - Puri Tech Sta-Rite Max-E-Glas Il 2HP Pump

Sta-Rite Max-E-Glas Il Dura-Glas Il Pump Seal Kit GO-KIT38 Includes
(1) O-113 Seal Plate O-Ring,

(1) O-240 Seal Plate Housing O-Ring,

(1) AS-1521 Seal,

(1) O-83 Diffuser O-Ring,

(1) O-12 Lid O-Ring,

(1) O-39 Drain Plug O-Ring

11/12/2025 - Pentair U9-228AZ O-Ring, Black from Amazon.com (https://www.amazon.com/dp/BO8MB3YH9R?ref=fed_asin_title).
Was a fit for the unit

General Dimension Info:
Pool: 24' 3" long by 14' 3" wide
Spa: 7'7" long by 5'0" wide. Or 60x91

Pool Tarp: Tarp 15' x 30'
Spa Tarp: 6x8. Or 72x96.

History

#1 - 11/16/2025 08:15 AM - Jal Arancon
https://youtu.be/iASdiPdrDsU?si=7bXE8SaJM_Af5xKQ

#2 - 11/18/2025 11:23 AM - Sieu Ngo
Pentair U9374Z 2.475" x 0.210" O-Ring Diffuser - if only getting large ring.

p4e6g-1531L - spa..

#3 - 12/01/2025 07:18 AM - Sieu Ngo
- Subject changed from PSS Spa Info to PSS Spa Pump Info

- Description updated
